Child Address Create
curl --request POST \
--url https://api.blockradar.co/v1/wallets/{walletId}/addresses/{addressId}/virtual-accounts \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"bvn": "22345678901",
"dateOfBirth": "1992-08-14",
"email": "[email protected]",
"firstname": "Luthfulah",
"lastname": "Osen",
"phone": "+2348161846125"
}
'import requests
url = "https://api.blockradar.co/v1/wallets/{walletId}/addresses/{addressId}/virtual-accounts"
payload = {
"bvn": "22345678901",
"dateOfBirth": "1992-08-14",
"email": "[email protected]",
"firstname": "Luthfulah",
"lastname": "Osen",
"phone": "+2348161846125"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
bvn: '22345678901',
dateOfBirth: '1992-08-14',
email: '[email protected]',
firstname: 'Luthfulah',
lastname: 'Osen',
phone: '+2348161846125'
})
};
fetch('https://api.blockradar.co/v1/wallets/{walletId}/addresses/{addressId}/virtual-accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"accountName": "gidin nnalu",
"accountNumber": "9019769186",
"address": {
"address": "0x622B01976019d04aA2958b3DF7494A59B28459ac",
"configurations": {
"aml": {
"message": "Address is not sanctioned",
"provider": "ofac, fbi, tether, circle",
"status": "success"
},
"autoSettlement": {
"isActive": false,
"rules": []
},
"disableAutoSweep": true,
"enableGaslessWithdraw": true,
"showPrivateKey": false
},
"createdAt": "2025-11-06T18:52:46.558Z",
"derivationPath": "m/44'/60'/0'/0/52",
"id": "bc6549bc-c500-4372-84f2-4571d4e2caeb",
"isActive": true,
"metadata": null,
"name": "Gideon nnalue",
"network": "mainnet",
"type": "INTERNAL",
"updatedAt": "2025-11-06T18:52:46.558Z"
},
"bankCode": "076",
"bankName": "Polaris Bank",
"createdAt": "2025-11-06T19:09:01.146Z",
"currency": "NGN",
"customer": {
"createdAt": "2025-11-06T19:09:01.146Z",
"email": "[email protected]",
"id": "7c72ba3c-0596-4a36-a57b-9a9327e5f75e",
"name": "gidin nnalu",
"network": "mainnet",
"phone": "+2347011064991",
"status": "ACTIVE",
"updatedAt": "2025-11-06T19:09:01.146Z"
},
"id": "35245f0d-f9dd-4bed-8de7-8d5ea4d53768",
"isActive": true,
"reference": "21",
"status": "ACTIVE",
"type": "AUTO_FUNDING",
"updatedAt": "2025-11-06T19:09:01.146Z",
"wallet": {
"address": "0xD8582C57E56Ef45f9fe82870aDF63d9baB89e1F7",
"configurations": null,
"createdAt": "2024-05-27T19:33:42.377Z",
"derivationPath": "m/44'/60'/0'/0/11",
"description": "This is Base wallet",
"id": "35e964a6-436a-424f-bf3a-618cc060feea",
"isActive": true,
"name": "Base Wallet",
"network": "mainnet",
"status": "ACTIVE",
"updatedAt": "2024-05-27T19:33:42.377Z"
}
},
"message": "Virtual account created successfully",
"statusCode": 201
}Child Address Create
This endpoint is used to create a new virtual account within a specific child address.
| Field | Type | Required | Description |
|---|---|---|---|
| firstname | string | Yes | Customer’s first name |
| lastname | string | Yes | Customer’s last name |
| string | Yes | Customer’s email address (must be unique per business) | |
| phone | string | No | Customer’s phone number in format: +234XXXXXXXXXX |
| bvn | string | Yes | Customer’s Bank Verification Number |
| dateOfBirth | string | Yes | Customer’s date of birth in yyyy-MM-dd format |
POST
/
v1
/
wallets
/
{walletId}
/
addresses
/
{addressId}
/
virtual-accounts
Child Address Create
Authorizations
Path Parameters
Example:
"YOUR_WALLET_ID"
Example:
"ADDRESS_ID"
Body
application/json
⌘I

